%global dlrn_nvr keystoneauth1-3.17.3-0.20200714091827.7d7b956
%global dlrn 1
%define upstream_version 3.17.3
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%global pypi_name keystoneauth1

%global common_desc \
Keystoneauth provides a standard way to do authentication and service requests \
within the OpenStack ecosystem. It is designed for use in conjunction with \
the existing OpenStack clients and for simplifying the process of writing \
new clients.

%global with_doc 0

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:       python-%{pypi_name}
Version: 3.17.3
Release: 0.20200714091827.7d7b956%{?dist}
Summary:    Authentication Library for OpenStack Clients
License:    ASL 2.0
URL:        https://pypi.io/pypi/%{pypi_name}
Source0: keystoneauth1-3.17.3-0.20200714091827.7d7b956.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=7d7b9564ba32ded721f67002b712e6d3cafa8511

BuildArch:  noarch

%description
%{common_desc}

%package -n     python%{pyver}-%{pypi_name}
Summary:        Authentication Libarary for OpenStack Identity
%{?python_provide:%python_provide python%{pyver}-%{pypi_name}}
%{?python_provide:%python_provide python%{pyver}-keystoneauth}

BuildRequires: git
BuildRequires: python%{pyver}-devel
BuildRequires: python%{pyver}-setuptools
BuildRequires: python%{pyver}-six
BuildRequires: python%{pyver}-pbr >= 2.0.0

# test requires
BuildRequires: python%{pyver}-betamax >= 0.7.0
BuildRequires: python%{pyver}-fixtures >= 1.3.1
BuildRequires: python%{pyver}-mock
BuildRequires: python%{pyver}-oslotest
BuildRequires: python%{pyver}-oslo-config
BuildRequires: python%{pyver}-oslo-utils
BuildRequires: python%{pyver}-stestr
BuildRequires: python%{pyver}-oauthlib
BuildRequires: python%{pyver}-requests
BuildRequires: python%{pyver}-os-service-types
BuildRequires: python%{pyver}-stevedore
BuildRequires: python%{pyver}-iso8601
BuildRequires: python%{pyver}-requests-mock >= 1.1

# Handle python2 exception
%if %{pyver} == 2
BuildRequires: PyYAML
BuildRequires: python-lxml
BuildRequires: python-requests-kerberos
%else
BuildRequires: python%{pyver}-PyYAML
BuildRequires: python%{pyver}-lxml
BuildRequires: python%{pyver}-requests-kerberos
%endif

Requires:      python%{pyver}-iso8601 >= 0.1.11
Requires:      python%{pyver}-os-service-types >= 1.2.0
Requires:      python%{pyver}-pbr >= 2.0.0
Requires:      python%{pyver}-requests >= 2.14.2
Requires:      python%{pyver}-six => 1.10.0
Requires:      python%{pyver}-stevedore >= 1.20.0

%description -n python%{pyver}-%{pypi_name}
%{common_desc}

%if 0%{?with_doc}
%package -n python-%{pypi_name}-doc
Summary:    Documentation for OpenStack Identity Authentication Library

BuildRequires: python%{pyver}-sphinx
BuildRequires: python%{pyver}-sphinxcontrib-apidoc
BuildRequires: python%{pyver}-openstackdocstheme
BuildRequires: python%{pyver}-mox3

%description -n python-%{pypi_name}-doc
Documentation for OpenStack Identity Authentication Library
%endif


%prep
%autosetup -n %{pypi_name}-%{upstream_version} -S git

sed -i '/sphinx.ext.intersphinx.*$/d'  doc/source/conf.py

# Let RPM handle the dependencies
rm -rf {test-,}requirements.txt
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# remove syntax tests
rm keystoneauth1/tests/unit/test_hacking_checks.py

%build
%{pyver_build}

%install
%{pyver_install}

%if 0%{?with_doc}
# generate html docs
export PYTHONPATH=.
# Disabling warning-is-error because of issue with python2 giving a warning:
# "The config value `apidoc_module_dir' has type `unicode', expected to ['str']."
sphinx-build-%{pyver} -b html -d doc/build/doctrees doc/source doc/build/html
rm -rf doc/build/html/.buildinfo
%endif

%check
PYTHON=python%{pyver} stestr-%{pyver} run --black-regex '.*test_invalidate_response'

%files -n python%{pyver}-%{pypi_name}
%doc README.rst
%license LICENSE
%{pyver_sitelib}/%{pypi_name}
%{pyver_sitelib}/*.egg-info

%if 0%{?with_doc}
%files -n python-%{pypi_name}-doc
%license LICENSE
%doc doc/build/html
%endif

%changelog
* Tue Jul 14 2020 OSP Prod Chain <dev-null@redhat.com> 3.17.3-1
- Update patches

* Mon Jul 13 2020 OSP Prod Chain <dev-null@redhat.com> 3.17.2-1
- Update patches
- Inject /v3 in token path for v3 plugins

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 3.17.2-1
- Update patches

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> 3.17.1-2
- Update patches
- fix bandit complains
- Make tests pass in 2020
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train

* Tue Feb 25 2020 OSP Prod Chain <dev-null@redhat.com> 3.17.1-2
- Update patches

* Thu Dec 12 2019 OSP Prod Chain <dev-null@redhat.com> 3.17.1-2
- Update patches

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> 3.17.1-2
- Update patches

* Thu Oct 03 2019 Joel Capitao <jcapitao@redhat.com> 3.17.1-2
- Removed python2 subpackages in no el7 distros

* Wed Sep 18 2019 RDO <dev@lists.rdoproject.org> 3.17.1-1
- Update to 3.17.1

